Jump to content
Server time: 2017-08-21, 06:52

  • 0
Sign in to follow this  
Mr.Sanderp

Troubles with Beta Patch

Question

Mr.Sanderp    0

Question/Problem: So, I have the error with the bad server version, so I do what it says and install the new Beta Version, but I get 2 errors, the first saying "The Version of Arma 2 OA (1.63) is more recent than the patch version (1.62)" The other being "Arma 2 ACR is not installed on your computer or the installation is corrupted."

Does this problem occur on other public DayZ/ArmA/SA servers as well: I've tested servers, and this is only a problem for different versions of ArmA/DayZ servers.

How long have you had this problem: I only KNEW of this problem when trying to join your servers, which is about a day or two. I do not know how long this could've been a problem.

What have you done to fix this already: I have tried before to install the patch via getting the patch file itself, and I have tried to downgrade via DayZ commander, I have read the FAQ and some other posts but they mostly seem to be more for Non-Steam ways. So if there is a Steam way of fixing, It would be appreciated.

Note: I am the least Tech/File Savvy man known to man so if this seems like the most stupid question you have seen, I apologize.

Share this post


Link to post
Share on other sites

14 answers to this question

Recommended Posts

  • 0
Caeldon    1

Are you trying to say you updated to Beta patch 112555 now you can't connect due to bad version?

If so, go into your arma OA folder and search for a folder named "Beta" (F:\Program Files\Steam\steamapps\common\arma 2 operation arrowhead\Expansion\Beta) is the directory for me, delete that folder and then try to reinstall beta patch 103718 via commander or by downloading the files from the arma website.

Share this post


Link to post
Share on other sites
  • 0
Mush    2

You could delete your "beta" folder in ArmA 2 OA Directory. Mine is here:

C:\Program Files (x86)\Steam\steamapps\common\arma 2 operation arrowhead\Expansion.

Then, use the patch from the Downloads page to patch it (as you were doing).

Share this post


Link to post
Share on other sites
  • 0
Mr.Sanderp    0

Are you trying to say you updated to Beta patch 112555 now you can't connect due to bad version?

If so, go into your arma OA folder and search for a folder named "Beta", delete that file and then try to reinstall beta patch 103718 via commander or by downloading the files from the arma website.

Yeah, that's what I meant,Sorry.

Is the Beta Folder in the Expansion Folder? Because thats the only one I could find and I still get the error when installing the patch with both ways.

Share this post


Link to post
Share on other sites
  • 0
Caeldon    1

Are you trying to say you updated to Beta patch 112555 now you can't connect due to bad version?

If so, go into your arma OA folder and search for a folder named "Beta", delete that file and then try to reinstall beta patch 103718 via commander or by downloading the files from the arma website.

Yeah, that's what I meant,Sorry.

Is the Beta Folder in the Expansion Folder? Because thats the only one I could find and I still get the error when installing the patch with both ways.

Yeah I meant the beta folder within the expansions folder. Even after deleting that folder you still get errors trying to install the beta patch?

Regarding your "Arma 2 ACR is not installed on your computer" issue, have you opened both Arma 2 and Arma 2 OA respectively before trying to install the beta patch?

Share this post


Link to post
Share on other sites
  • 0
Mr.Sanderp    0

Are you trying to say you updated to Beta patch 112555 now you can't connect due to bad version?

If so, go into your arma OA folder and search for a folder named "Beta", delete that file and then try to reinstall beta patch 103718 via commander or by downloading the files from the arma website.

Yeah, that's what I meant,Sorry.

Is the Beta Folder in the Expansion Folder? Because thats the only one I could find and I still get the error when installing the patch with both ways.

Yeah I meant the beta folder within the expansions folder. Even after deleting that folder you still get errors trying to install the beta patch?

Yeah still gives me the two messages, Should I uninstall my OA/Beta OA on steam then retry since it keeps going on about the OA version?

Share this post


Link to post
Share on other sites
  • 0
Caeldon    1

Yeah, that's what I meant,Sorry.

Is the Beta Folder in the Expansion Folder? Because thats the only one I could find and I still get the error when installing the patch with both ways.

Yeah I meant the beta folder within the expansions folder. Even after deleting that folder you still get errors trying to install the beta patch?

Yeah still gives me the two messages, Should I uninstall my OA/Beta OA on steam then retry since it keeps going on about the OA version?

You don't need the ACR DLC for DayZ so you can probably just uninstall that DLC if it is causing issues with trying to install the beta patch.

Share this post


Link to post
Share on other sites
  • 0
Mr.Sanderp    0

Yeah I meant the beta folder within the expansions folder. Even after deleting that folder you still get errors trying to install the beta patch?

Yeah still gives me the two messages, Should I uninstall my OA/Beta OA on steam then retry since it keeps going on about the OA version?

I personally don't know much about the Arma 2 ACR error message but I've found this on another forum

"A lot of people are having issues with ACR not installing properly, me included. I'm sorry to say, but the only way I got it to work was a complete uninstall (including all registries through Regedit) then an install after running steam as an admin."

So it's possible you may need to completely reinstall, but someone else might know something I do not regarding the "Arma 2 ACR is not installed on your computer or the installation is corrupted" error message you are receiving.

Well I guess I will have to give it a shot, Let's hope that works.

Share this post


Link to post
Share on other sites
  • 0
Caeldon    1

Yeah still gives me the two messages, Should I uninstall my OA/Beta OA on steam then retry since it keeps going on about the OA version?

I personally don't know much about the Arma 2 ACR error message but I've found this on another forum

"A lot of people are having issues with ACR not installing properly, me included. I'm sorry to say, but the only way I got it to work was a complete uninstall (including all registries through Regedit) then an install after running steam as an admin."

So it's possible you may need to completely reinstall, but someone else might know something I do not regarding the "Arma 2 ACR is not installed on your computer or the installation is corrupted" error message you are receiving.

Well I guess I will have to give it a shot, Let's hope that works.

I just edited my other post because ACR DLC shouldn't really be a issue anyway, you can probably just uninstall the ACR DLC and then install the beta patch as usual.

or try this if you wish to keep the ACR DLC:

Run Arma 2 once, then Arma 2 ACR, close your Steam and DayZ Commander. Now install the beta patch manually from here: http://www.arma2.com/beta-patch.php

Share this post


Link to post
Share on other sites
  • 0
Mr.Sanderp    0

Well its a little too late for that :P

Besides I do not think its the ACR DLC thats the problem, I think its that OA version problem.

Share this post


Link to post
Share on other sites
  • 0
Caeldon    1

Well its a little to late for that :P

Heh, Clean install is always good anyway usually fixes most problems. Hopefully you can get it sorted out.

Share this post


Link to post
Share on other sites
  • 0

I got the same problem. It says "The Version of Arma 2 OA (1.63) is more recent than the patch version (1.62)"

I tried to locate the beta folder to delete it, but its not there. Any ideas?

(sorry if im not supposed to ask in this thread)

Share this post


Link to post
Share on other sites
  • 0
Mr.Sanderp    0

Well, I just reinstalled everything and put in the right patch in DayZ and it all works now, thanks!

Share this post


Link to post
Share on other sites
  • 0
Guest TehGreekGamer   
Guest TehGreekGamer

We'll you could have done it with DayZCommander and just select to download the right patch from the update tab. But it has been fixed now.

Share this post


Link to post
Share on other sites
  • 0
Mush    2

I got the same problem. It says "The Version of Arma 2 OA (1.63) is more recent than the patch version (1.62)"

I tried to locate the beta folder to delete it, but its not there. Any ideas?

(sorry if im not supposed to ask in this thread)

It should be in your ArmA 2 OA folders, inside a folder called 'Expansion'.

Solving this thread as the OP's problem is solved.

Solution: Reinstall everything and put in the right patch for DayZ.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×